// LocalTreeCtrl.h : header file
//

#pragma once

#ifdef _USE_XTREME_TOOLKITPRO
#else // _USE_XTREME_TOOLKITPRO
#include "ptxshtree.h"
#endif // _USE_XTREME_TOOLKITPRO

/////////////////////////////////////////////////////////////////////////////
// CLocalTreeCtrl window
#ifdef _USE_XTREME_TOOLKITPRO
class CLocalTreeCtrl : public CXTShellTreeCtrl
#else 
class CLocalTreeCtrl : public CPTxShTree
#endif // USE_XTREME_TOOLKITPRO
{
// Construction
public:
	CLocalTreeCtrl();

// Attributes
public:

// Operations
protected:
	void DeleteSelectedItem();

public:
	BOOL PasteClipboard();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLocalTreeCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CLocalTreeCtrl();

protected:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
#ifdef _USE_XTREME_TOOLKITPRO
	virtual BOOL InitTreeViewItems(LPSHELLFOLDER lpsf, LPITEMIDLIST lpifq, HTREEITEM hParent);
#endif // _USE_XTREME_TOOLKITPRO

protected:
	//{{AFX_MSG(CLocalTreeCtrl)
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
public:
};
